/*
    KiFi, KDE Wireless Manager
    Copyright (c) 2002-2004 by Chris TenHarmsel <chris@staticmethod.net>

    KiFi, (c) 2004 by the KiFi developers

    *************************************************************************
    *                                                                       *
    * This program is free software; you can redistribute it and/or modify  *
    * it under the terms of the GNU General Public License as published by  *
    * the Free Software Foundation; either version 2 of the License, or     *
    * (at your option) any later version.                                   *
    *                                                                       *
    *************************************************************************
*/

#ifndef KIFI_H
#define KIFI_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <qdict.h>

#include <kapplication.h>
#include <kconfig.h>

#include "kifisystraycontroller.h"

// Forward declarations
class InterfaceMonitor;

class KiFi : public KApplication
{
	Q_OBJECT

public:

	/** Constructor */
	KiFi();

	/** destructor */
	~KiFi();

protected:
	KConfig *ksConfig;
	/**
	 * The interface monitor, it tells us when a new wireless
	 * interface shows up.
	 */
	InterfaceMonitor *_interfaceMonitor;

	/** List of the systray controllers we have */
	QDict< KiFiSystrayController > _systrayControllers;

private slots:
	/**
	 * Handles quitting the application
	 */
	void slotHandleQuit();

	/**
	 * Handles showing the preferences dialog
	 */
	void slotShowPreferences();

	/**
	 * Handles finding a new wireless NIC and
	 * creating a systemtray for it
	 */
	void slotNewWirelessInterface(QString interface);

	/**
	 * Handles losing a wireless NIC and
	 * removing the systray for it
	 */
	void slotLostWirelessInterface(QString interface);

};

#endif

/*
 * Local variables:
 * c-indentation-style: k&r
 * c-basic-offset: 2
 * indent-tabs-mode: t
 * End:
 */
