/*
    KiFiScanner, Utility program for testing the WirelessNetworkScanner class
    Copyright (c) 2004 by Chris TenHarmsel <chris@staticmethod.net>

    KiFi, (c) 2004 by the KiFi developers

    *************************************************************************
    *                                                                       *
    * This program is free software; you can redistribute it and/or modify  *
    * it under the terms of the GNU General Public License as published by  *
    * the Free Software Foundation; either version 2 of the License, or     *
    * (at your option) any later version.                                   *
    *                                                                       *
    *************************************************************************
 */

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>
#include <qstring.h>
#include "wirelessnetworkscanner.h"

static const char *description = I18N_NOOP("kifiscanner");

static KCmdLineOptions options[] =
{
	{"i", 0, 0},
	{"interface <interface>", I18N_NOOP( "What interface to scan on" ), "wlan0" },
	KCmdLineLastOption
};

#define KIFISCANNER_VERSION "0.1"

int main(int argc, char *argv[])
{
    KAboutData aboutData( "kifiscanner",  I18N_NOOP("KiFiScanner"),
                          KIFISCANNER_VERSION, description,
													KAboutData::License_GPL,
                          "(c) 2004, Christopher TenHarmsel\n(c) 2004, KiFi Developers");
    aboutData.addAuthor( "Christopher TenHarmsel", I18N_NOOP("Original Author"),
                         "chris@staticmethod.net");
		aboutData.addAuthor( "Micah Alles", I18N_NOOP("Developer"),
												 "micah@atomicobject.com");
    KCmdLineArgs::init( argc, argv, &aboutData );
    KCmdLineArgs::addCmdLineOptions( options );

		KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
		QString interface = args->getOption( "interface" );

    WirelessNetworkScanner scanner( interface );
		scanner.setUpdateInterval( 5000 );
		scanner.run();
}

/*
 * Local variables:
 * c-indentation-style: k&r
 * c-basic-offset: 2
 * indent-tabs-mode: t
 * End:
 */
